package com.ruansee.macall.testwebview;

import android.content.Context;
import android.graphics.Typeface;
import android.util.AttributeSet;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import org.jetbrains.annotations.NotNull;

public class MyTextView extends androidx.appcompat.widget.AppCompatTextView {


    public MyTextView(@NonNull @NotNull Context context) {
        super(context);
        Typeface type = Typeface.createFromAsset(context.getAssets(), "font/STXINGKA.TTF");
        setTypeface(type);
    }

    public MyTextView(@NonNull @NotNull Context context, @Nullable @org.jetbrains.annotations.Nullable AttributeSet attrs) {
        super(context, attrs);
        Typeface type = Typeface.createFromAsset(context.getAssets(), "font/STXINGKA.TTF");
        setTypeface(type);
    }

    public MyTextView(@NonNull @NotNull Context context, @Nullable @org.jetbrains.annotations.Nullable AttributeSet attrs, int defStyleAttr) {
        super(context, attrs, defStyleAttr);
        Typeface type = Typeface.createFromAsset(context.getAssets(), "font/STXINGKA.TTF");
        setTypeface(type);
    }
}
